loci.plugins.in

## Class ImporterDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog

- Direct Known Subclasses:
    ColorDialog, CropDialog, FilePatternDialog, IdDialog, LocationDialog, MainDialog, MemoryDialog, RangeDialog, SeriesDialog, SwapDialog, UpgradeDialog

      public abstract class ImporterDialog
      extends OptionsDialog

  Abstract superclass of importer dialogs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ImporterOptions` | `options`
    `protected ImportProcess` | `process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImporterDialog(ImportProcess process)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract ij.gui.GenericDialog` | `constructDialog()`
    `protected boolean` | `displayDialog(ij.gui.GenericDialog gd)` Displays the dialog, or grabs values from macro options.
    `protected abstract boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `protected abstract boolean` | `needPrompt()`
    `int` | `showDialog()` Displays the options dialog, returning the status of the operation.

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### process

          protected ImportProcess process

    - #### options

          protected ImporterOptions options

  - ### Constructor Detail

    - #### ImporterDialog

          public ImporterDialog(ImportProcess process)

  - ### Method Detail

    - #### needPrompt

          protected abstract boolean needPrompt()

    - #### constructDialog

          protected abstract ij.gui.GenericDialog constructDialog()

    - #### displayDialog

          protected boolean displayDialog(ij.gui.GenericDialog gd)

      Displays the dialog, or grabs values from macro options.

    - #### harvestResults

          protected abstract boolean harvestResults(ij.gui.GenericDialog gd)

    - #### showDialog

          public int showDialog()

      Description copied from class: `OptionsDialog`
      Displays the options dialog, returning the status of the operation.
      Specified by:
        `showDialog` in class `OptionsDialog`

Copyright © 2026 Open Microscopy Environment